Video Screencast Help
Symantec to Separate Into Two Focused, Industry-Leading Technology Companies. Learn more.

Agent automatic upgrade?

Created: 01 Oct 2008 • Updated: 21 May 2010 | 3 comments

Hello (again :),



as I said in my previous post, I just upgraded SecurityExpressions to the latest version 4.1.1 (from 4.1). As I read in both the documentation and all release notes, the agent will be upgraded automatically upon the next audit.



This does not seem to work for me though. I've tried auditing with administrator credentials, with windows networking only, agent only (privileged or not)... The agent is not upgraded.



Am I doing something wrong ?

Discussion Filed Under:

Comments 3 CommentsJump to latest comment

mtaber's picture

I don't think the agent was updated between those two versions, so you wouldn't see the version number of the agent increase.

Mike Taber
Moon River Consulting, Inc.
http://www.moonriverconsulting.com

Alexis Papadopoulos's picture

If I install the new agent by hand I do see the version increase though. And some servers seem to still work with 4.0 agent...

mtaber's picture

Well, I know that the agent was certified as being backwards compatible. Maybe you're just not using features that require the agent to be upgraded so it doesn't bother. I don't quite know exactly when it decides that an upgrade to the agent is necessary. You're right that all of the documentation says it does it automatically. Note that it only does so on Windows. Unix upgrades must be done by hand, at least according to the documentation. I've never seen it or tried to do it though. Your next step might be to check with support.

Mike Taber
Moon River Consulting, Inc.
http://www.moonriverconsulting.com